## ferm 1.0pl8

=== Makefile ===
#
# Makefile for ferm
#

PREFIX		= /usr
INSTDIR		= $(PREFIX)/sbin
MANDIR		= $(PREFIX)/man/man1
DOCDIR		= $(PREFIX)/doc/packages/ferm
SHELL		= /bin/sh

all:	install

.phony:

install: .phony
	@echo "Creating directories..."
	@mkdir -p $(DOCDIR)/examples
	@mkdir -p $(MANDIR)
	@mkdir -p $(INSTDIR)
	@echo "Installing documentation in $(DOCDIR)..."
	@install -m 644 -o 0 -g 0 CHANGES $(DOCDIR)
	@install -m 644 -o 0 -g 0 COPYING $(DOCDIR)
	@install -m 644 -o 0 -g 0 AUTHORS $(DOCDIR)
	@install -m 644 -o 0 -g 0 README $(DOCDIR)
	@install -m 644 -o 0 -g 0 ferm.txt $(DOCDIR)
	@install -m 644 -o 0 -g 0 ferm.html $(DOCDIR)
	@install -m 644 -o 0 -g 0 examples/* $(DOCDIR)/examples
	@echo "Installing unix man page in $(MANDIR)..."
	@install -m 644 -o 0 -g 0 ferm.1 $(MANDIR)
	@echo "Installing ferm in $(INSTDIR)..."
	@install -m 755 -o 0 -g 0 ferm $(INSTDIR)/ferm
	@echo "Done."

uninstall:
	@echo "Uninstalling..."
	@rm -rf $(DOCDIR)
	@rm -f $(MANDIR)/ferm.1
	@rm -f $(INSTDIR)/ferm
	@echo "Done."

## ferm 1.1

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 PREFIX		= /usr
 INSTDIR		= $(PREFIX)/sbin
-MANDIR		= $(PREFIX)/man/man1
-DOCDIR		= $(PREFIX)/doc/packages/ferm
+MANDIR		= $(PREFIX)/share/man/man1
+DOCDIR		= $(PREFIX)/share/doc/ferm
 SHELL		= /bin/sh
 
-all:	install
+all:
 
 .phony:
 
@@ -27,6 +27,7 @@
 	@install -m 644 -o 0 -g 0 examples/* $(DOCDIR)/examples
 	@echo "Installing unix man page in $(MANDIR)..."
 	@install -m 644 -o 0 -g 0 ferm.1 $(MANDIR)
+	@gzip -9 $(MANDIR)/ferm.1
 	@echo "Installing ferm in $(INSTDIR)..."
 	@install -m 755 -o 0 -g 0 ferm $(INSTDIR)/ferm
 	@echo "Done."
@@ -34,7 +35,7 @@
 uninstall:
 	@echo "Uninstalling..."
 	@rm -rf $(DOCDIR)
-	@rm -f $(MANDIR)/ferm.1
+	@rm -f $(MANDIR)/ferm.1 $(MANDIR)/ferm.1.gz
 	@rm -f $(INSTDIR)/ferm
 	@echo "Done."

## ferm 1.2.2

=== Makefile ===
#
# Makefile for ferm
#

TOPDIR = .
include $(TOPDIR)/config.mk

VERSION := $(shell $(PERL) src/ferm --version | awk '{print $$2}' | head -1 | tr -d ',')

DISTDIR = build/ferm-$(VERSION)

TARFILE = build/ferm-${VERSION}.tar.gz
LSMFILE	= build/ferm-${VERSION}.lsm

.PHONY: all clean

all: doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1

clean:
	rm -rf build
	rm -f doc/ferm.txt doc/ferm.html doc/{import-,}ferm.1 *.tmp

#
# documentation
#

doc/ferm.txt: doc/ferm.pod
	pod2text $< > $@

doc/ferm.html: doc/ferm.pod
	pod2html $< --netscape --flush > $@

doc/ferm.1: doc/ferm.pod
	pod2man --section=1 --release="ferm $(VERSION)" \
		--center="FIREWALL RULES MADE EASY" \
		--official $< > $@

doc/import-ferm.1: src/import-ferm
	pod2man --section=1 --release="ferm $(VERSION)" \
		--center="FIREWALL RULES MADE EASY" \
		--official $< > $@

#
# test suite
#

STAMPDIR = $(TOPDIR)/build/test

# a list of all ferm scripts which should be tested with iptables
FERM_SCRIPTS = test/positive/flush test/positive/multimod test/positive/policyorder
FERM_SCRIPTS += test/positive/bug test/positive/iptables-targets test/positive/masqto test/positive/mod test/params/owner test/positive/state test/positive/tables2 test/positive/TCPMSS test/positive/ttlset test/positive/ulog test/positive/varlists
FERM_SCRIPTS += $(wildcard test/modules/*.ferm) $(wildcard test/targets/*.ferm)
FERM_SCRIPTS += $(wildcard test/protocols/*.ferm) $(wildcard test/misc/*.ferm)
FERM_SCRIPTS += $(wildcard test/ipv6/*.ferm)

EXCLUDE_IMPORT = test/misc/subchain-domains.ferm
IMPORT_SCRIPTS = $(filter-out $(EXCLUDE_IMPORT),$(FERM_SCRIPTS))

$(STAMPDIR)/%.OLD: PATCHFILE = $(shell test -f "test/patch/$(patsubst test/%,%,$(<)).iptables" && echo "test/patch/$(patsubst test/%,%,$(<)).iptables" )
$(STAMPDIR)/%.OLD: % $(OLD_FERM) test/canonical.pl
	@mkdir -p $(dir $@)
	if test -f $(basename $<).result; then cp $(basename $<).result $@.tmp1; else $(PERL) $(OLD_FERM) $(OLD_OPTIONS) $< >$@.tmp1; fi
	if test -n "$(PATCHFILE)"; then patch -i$(PATCHFILE) $@.tmp1; fi
	$(PERL) test/canonical.pl <$@.tmp1 >$@.tmp2
	@mv $@.tmp2 $@

$(STAMPDIR)/%.NEW: % $(NEW_FERM) test/canonical.pl
	@mkdir -p $(dir $@)
	$(PERL) $(NEW_FERM) $(NEW_OPTIONS) $< >$@.tmp1
	$(PERL) test/canonical.pl <$@.tmp1 >$@.tmp2
	-mv $@.tmp2 $@

$(STAMPDIR)/%.SAVE: % $(NEW_FERM)
	@mkdir -p $(dir $@)
	$(PERL) $(NEW_FERM) $(NEW_OPTIONS) --fast $< |grep -v '^#' >$@

$(STAMPDIR)/%.IMPORT: $(STAMPDIR)/%.SAVE src/import-ferm
	$(PERL) src/import-ferm $< >$@

$(STAMPDIR)/%.SAVE2: $(STAMPDIR)/%.IMPORT $(NEW_FERM)
	$(PERL) $(NEW_FERM) $(NEW_OPTIONS) --fast $< |grep -v '^#' >$@

%.check: %.OLD %.NEW
	diff -u $^
	@touch $@

%.check-import: %.SAVE %.SAVE2
	diff -u $^
	@touch $@

.PHONY : check-ferm check-import check

check-ferm: $(patsubst %,$(STAMPDIR)/%.check,$(FERM_SCRIPTS))

check-import: $(patsubst %,$(STAMPDIR)/%.check-import,$(IMPORT_SCRIPTS))

check: check-ferm check-import

#
# distribution
#

build/ferm-$(VERSION).tar.gz: all
	rm -rf $(DISTDIR)
	install -d -m 755 $(DISTDIR) $(DISTDIR)/src $(DISTDIR)/doc $(DISTDIR)/examples
	install -m 755 src/{import-,}ferm $(DISTDIR)/src
	install -m 644 doc/ferm.pod doc/ferm.txt doc/ferm.html doc/{import-,}ferm.1 $(DISTDIR)/doc
	install -m 644 config.mk Makefile AUTHORS COPYING NEWS README TODO $(DISTDIR)
	install -m 644 $(wildcard examples/*.ferm) $(DISTDIR)/examples
	cd build && tar czf ferm-$(VERSION).tar.gz ferm-$(VERSION)

dist: build/ferm-$(VERSION).tar.gz

#
# installation
#

.PHONY: install uninstall

install: all
	install -d -m 755 $(DOCDIR)/examples $(PREFIX)/sbin
	install -m 644 AUTHORS COPYING NEWS README TODO $(DOCDIR)
	install -m 644 examples/*.ferm $(DOCDIR)/examples
	install -m 755 src/{import-,}ferm $(PREFIX)/sbin/

	install -d -m 755 $(DOCDIR) $(MANDIR)
	install -m 644 doc/ferm.txt doc/ferm.html $(DOCDIR)
	install -m 644 doc/{import-,}ferm.1 $(MANDIR)
	gzip -f9 $(MANDIR)/{import-,}ferm.1

uninstall:
	rm -rf $(DOCDIR)
	rm -f $(MANDIR)/{import-,}ferm.1{,.gz}
	rm -f $(PREFIX)/sbin/{import-,}ferm

#
# misc targets
#

www: dist
	@echo "Publishing tarfiles in $(WEBDIR)..."
	rm -f $(WEBDIR)/$(notdir $(TARFILE))
	cp $(TARFILE) $(WEBDIR)
	cp NEWS $(WEBDIR)
	cp doc/ferm.html $(WEBDIR)
	echo $(VERSION) > $(WEBDIR)/VERSION
	ln -s $(notdir $(TARFILE)) $(WEBDIR)/ferm.tar.gz
	chmod ugo+r $(WEBDIR)/$(notdir $(TARFILE)) $(WEBDIR)/ferm.tar.gz \
		$(WEBDIR)/NEWS $(WEBDIR)/VERSION $(WEBDIR)/ferm.html
	@echo "Done."

ftp: dist
	@echo "Publishing tarfiles in $(FTPDIR)..."
	rm -f $(FTPDIR)/$(notdir $(TARFILE))
	cp $(TARFILE) $(FTPDIR)
	cp NEWS $(FTPDIR)
	echo $(VERSION) > $(FTPDIR)/VERSION
	ln -s $(notdir $(TARFILE)) $(FTPDIR)/ferm.tar.gz
	chmod ugo+r $(FTPDIR)/$(notdir $(TARFILE)) $(FTPDIR)/ferm.tar.gz \
		$(FTPDIR)/NEWS $(FTPDIR)/VERSION
	@echo "Done."

pub: www ftp

$(LSMFILE): DATE = `date '+%Y-%m-%d'`
$(LSMFILE): SIZE = $(shell du -h -D $(TARFILE) | awk '{print $$1}')
$(LSMFILE): dist
	@echo "Making lsm entry file..."
	@echo "Begin4" > $@
	@echo "Title:          ferm" >> $@
	@echo "Version:        $(VERSION)" >> $@
	@echo "Entered-date:   $(DATE)" >> $@
	@echo "Description:    A tool for structured firewall-rule making" >> $@
	@echo "Keywords:       iptables ipchains ipfwadm firewall rules rule" >> $@
	@echo "Author:         sofar@foo-projects.org (A. Kok)" >> $@
	@echo "Maintained-by:  sofar@foo-projects.org (A. Kok)" >> $@
	@echo "Primary-site:   ferm.foo-projects.org /" >> $@
	@echo "                $(SIZE) $(TARFILE)" >> $@
	@echo "Alternate-site:" >> $@
	@echo "Original-site:" >> $@
	@echo "Platforms:      perl linux>=2.4" >> $@
	@echo "Copying-policy: GPL" >> $@
	@echo "End" >> $@
# @echo "Sending lsm entry..."
# @mailx -s "add" lsm@execpc.com < $@
	@echo "Done."

.phony: lsm
lsm: $(LSMFILE)

## ferm 1.2.4

=== Makefile ===
--- 
+++ 
@@ -100,6 +100,8 @@
 # distribution
 #
 
+.PHONY: dist
+
 build/ferm-$(VERSION).tar.gz: all
 	rm -rf $(DISTDIR)
 	install -d -m 755 $(DISTDIR) $(DISTDIR)/src $(DISTDIR)/doc $(DISTDIR)/examples
@@ -136,6 +138,12 @@
 #
 # misc targets
 #
+
+.PHONY: upload www ftp pub
+
+upload: doc/ferm.html
+	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/1.2/
+	scp examples/*.ferm foo-projects.org:/var/www/ferm.foo-projects.org/download/examples/
 
 www: dist
 	@echo "Publishing tarfiles in $(WEBDIR)..."

## ferm 1.3.1

=== Makefile ===
--- 
+++ 
@@ -55,6 +55,10 @@
 
 EXCLUDE_IMPORT = test/misc/subchain-domains.ferm
 IMPORT_SCRIPTS = $(filter-out $(EXCLUDE_IMPORT),$(FERM_SCRIPTS))
+
+# just a hack because ferm/import-ferm scramble the keyword order
+SAVE2_SED = -e 's,-m mh -p ipv6-mh,-p ipv6-mh -m mh,'
+SAVE2_SED += -e 's,--fragfirst --fragres,--fragres --fragfirst,'
 
 $(STAMPDIR)/%.OLD: PATCHFILE = $(shell test -f "test/patch/$(patsubst test/%,%,$(<)).iptables" && echo "test/patch/$(patsubst test/%,%,$(<)).iptables" )
 $(STAMPDIR)/%.OLD: % $(OLD_FERM) test/canonical.pl
@@ -74,11 +78,12 @@
 	@mkdir -p $(dir $@)
 	$(PERL) $(NEW_FERM) $(NEW_OPTIONS) --fast $< |grep -v '^#' >$@
 
+$(STAMPDIR)/test/ipv6/%.IMPORT: export FERM_DOMAIN=ip6
 $(STAMPDIR)/%.IMPORT: $(STAMPDIR)/%.SAVE src/import-ferm
 	$(PERL) src/import-ferm $< >$@
 
 $(STAMPDIR)/%.SAVE2: $(STAMPDIR)/%.IMPORT $(NEW_FERM)
-	$(PERL) $(NEW_FERM) $(NEW_OPTIONS) --fast $< |grep -v '^#' >$@
+	$(PERL) $(NEW_FERM) $(NEW_OPTIONS) --fast $< |grep -v '^#' |sed $(SAVE2_SED) >$@
 
 %.check: %.OLD %.NEW
 	diff -u $^
@@ -142,7 +147,7 @@
 .PHONY: upload www ftp pub
 
 upload: doc/ferm.html
-	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/1.2/
+	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/1.3/
 	scp examples/*.ferm foo-projects.org:/var/www/ferm.foo-projects.org/download/examples/
 
 www: dist

## ferm 2.0.7

=== Makefile ===
#
# Makefile for ferm
#

TOPDIR = .
include $(TOPDIR)/config.mk

VERSION := $(shell $(PERL) src/ferm --version | awk '{print $$2}' | head -1 | tr -d ',')

DISTDIR = build/ferm-$(VERSION)

.PHONY: all clean

all: doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1

clean:
	rm -rf build
	rm -f doc/ferm.txt doc/ferm.html doc/{import-,}ferm.1 *.tmp

#
# documentation
#

doc/ferm.txt: doc/ferm.pod
	pod2text $< > $@

doc/ferm.html: doc/ferm.pod
	pod2html $< --netscape --flush > $@

doc/ferm.1: doc/ferm.pod
	pod2man --section=1 --release="ferm $(VERSION)" \
		--center="FIREWALL RULES MADE EASY" \
		--official $< > $@

doc/import-ferm.1: src/import-ferm
	pod2man --section=1 --release="ferm $(VERSION)" \
		--center="FIREWALL RULES MADE EASY" \
		--official $< > $@

#
# test suite
#

STAMPDIR = $(TOPDIR)/build/test
STAMPDIR_20 = $(TOPDIR)/build/test2

# a list of all ferm scripts which should be tested with iptables
FERM_SCRIPTS =
FERM_SCRIPTS += $(wildcard test/modules/*.ferm) $(wildcard test/targets/*.ferm)
FERM_SCRIPTS += $(wildcard test/protocols/*.ferm) $(wildcard test/misc/*.ferm)
FERM_SCRIPTS += $(wildcard test/ipv6/*.ferm)
FERM_SCRIPTS += $(wildcard test/arptables/*.ferm) $(wildcard test/ebtables/*.ferm)

EXCLUDE_IMPORT = test/misc/subchain-domains.ferm
IMPORT_SCRIPTS = $(filter-out $(EXCLUDE_IMPORT) test/arptables/% test/ebtables/%,$(FERM_SCRIPTS))

# just a hack
RESULT_SED += -e 's,--protocol,-p,g'
RESULT_SED += -e 's,--in-interface,-i,g'
RESULT_SED += -e 's,--out-interface,-o,g'
RESULT_SED += -e 's,--destination ,-d ,g'
RESULT_SED += -e 's,--source ,-s ,g'
RESULT_SED += -e 's,--match,-m,g'
RESULT_SED += -e 's,--jump,-j,g'
RESULT_SED += -e 's,--goto,-g,g'
RESULT_SED += -e 's,--fragment,-f,g'

EB_ARP_RESULT_SED = -e 's,--jump,-j,g'

$(STAMPDIR)/test/arptables/%.result: test/arptables/%.ferm src/ferm
	@mkdir -p $(dir $@)
	$(PERL) src/ferm --test --slow $< |sed $(EB_ARP_RESULT_SED) >$@

$(STAMPDIR)/test/ebtables/%.result: test/ebtables/%.ferm src/ferm
	@mkdir -p $(dir $@)
	$(PERL) src/ferm --test --slow $< |sed $(EB_ARP_RESULT_SED) >$@

$(STAMPDIR)/%.result: %.ferm src/ferm
	@mkdir -p $(dir $@)
	$(PERL) src/ferm --test --slow --noflush $< |sed $(RESULT_SED) >$@

$(STAMPDIR)/%.SAVE: %.ferm src/ferm
	@mkdir -p $(dir $@)
	$(PERL) src/ferm --test $< >$@.tmp
	grep -v '^#' <$@.tmp >$@

$(STAMPDIR)/test/ipv6/%.IMPORT: export FERM_DOMAIN=ip6
$(STAMPDIR)/%.IMPORT: $(STAMPDIR)/%.SAVE src/import-ferm
	$(PERL) src/import-ferm $< >$@

$(STAMPDIR)/%.SAVE2: $(STAMPDIR)/%.IMPORT src/ferm
	$(PERL) src/ferm --test --fast $< |grep -v '^#' >$@

$(STAMPDIR)/%.check: %.result $(STAMPDIR)/%.result
	diff -u $^
	@touch $@

$(STAMPDIR)/%.check-import: $(STAMPDIR)/%.SAVE $(STAMPDIR)/%.SAVE2
	diff -u $^
	@touch $@

.PHONY : check-ferm check-import check

check-ferm: $(patsubst %.ferm,$(STAMPDIR)/%.check,$(FERM_SCRIPTS))

check-import: $(patsubst %.ferm,$(STAMPDIR)/%.check-import,$(IMPORT_SCRIPTS))

check: check-ferm check-import

#
# distribution
#

.PHONY: dist

build/ferm-$(VERSION).tar.gz: all
	rm -rf $(DISTDIR)
	install -d -m 755 $(DISTDIR) $(DISTDIR)/src $(DISTDIR)/doc $(DISTDIR)/examples
	install -m 755 src/{import-,}ferm $(DISTDIR)/src
	install -m 644 doc/ferm.pod doc/ferm.txt doc/ferm.html doc/{import-,}ferm.1 $(DISTDIR)/doc
	install -m 644 config.mk Makefile AUTHORS COPYING NEWS README TODO $(DISTDIR)
	install -m 644 $(wildcard examples/*.ferm) $(DISTDIR)/examples
	cd build && tar czf ferm-$(VERSION).tar.gz ferm-$(VERSION)

dist: build/ferm-$(VERSION).tar.gz

#
# installation
#

.PHONY: install uninstall

install: all
	install -d -m 755 $(DOCDIR)/examples $(PREFIX)/sbin
	install -m 644 AUTHORS COPYING NEWS README TODO $(DOCDIR)
	install -m 644 examples/*.ferm $(DOCDIR)/examples
	install -m 755 src/{import-,}ferm $(PREFIX)/sbin/

	install -d -m 755 $(DOCDIR) $(MANDIR)
	install -m 644 doc/ferm.txt doc/ferm.html $(DOCDIR)
	install -m 644 doc/{import-,}ferm.1 $(MANDIR)
	gzip -f9 $(MANDIR)/{import-,}ferm.1

uninstall:
	rm -rf $(DOCDIR)
	rm -f $(MANDIR)/{import-,}ferm.1{,.gz}
	rm -f $(PREFIX)/sbin/{import-,}ferm

#
# misc targets
#

.PHONY: upload

upload: doc/ferm.html
	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.0/
	scp examples/*.ferm foo-projects.org:/var/www/ferm.foo-projects.org/download/examples/

## ferm 2.1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 clean:
 	rm -rf build
-	rm -f doc/ferm.txt doc/ferm.html doc/{import-,}ferm.1 *.tmp
+	rm -f doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1 *.tmp
 
 #
 # documentation
@@ -51,7 +51,7 @@
 FERM_SCRIPTS += $(wildcard test/ipv6/*.ferm)
 FERM_SCRIPTS += $(wildcard test/arptables/*.ferm) $(wildcard test/ebtables/*.ferm)
 
-EXCLUDE_IMPORT = test/misc/subchain-domains.ferm
+EXCLUDE_IMPORT = test/misc/subchain-domains.ferm test/misc/ipfilter.ferm test/ipv6/mixed.ferm
 IMPORT_SCRIPTS = $(filter-out $(EXCLUDE_IMPORT) test/arptables/% test/ebtables/%,$(FERM_SCRIPTS))
 
 # just a hack
@@ -60,7 +60,7 @@
 RESULT_SED += -e 's,--out-interface,-o,g'
 RESULT_SED += -e 's,--destination ,-d ,g'
 RESULT_SED += -e 's,--source ,-s ,g'
-RESULT_SED += -e 's,--match,-m,g'
+RESULT_SED += -e 's,--match ,-m ,g'
 RESULT_SED += -e 's,--jump,-j,g'
 RESULT_SED += -e 's,--goto,-g,g'
 RESULT_SED += -e 's,--fragment,-f,g'

## ferm 2.2

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	pod2text $< > $@
 
 doc/ferm.html: doc/ferm.pod
-	pod2html $< --netscape --flush > $@
+	pod2html $< --title="ferm - Firewall rules made easy" --flush > $@
 
 doc/ferm.1: doc/ferm.pod
 	pod2man --section=1 --release="ferm $(VERSION)" \
@@ -51,7 +51,7 @@
 FERM_SCRIPTS += $(wildcard test/ipv6/*.ferm)
 FERM_SCRIPTS += $(wildcard test/arptables/*.ferm) $(wildcard test/ebtables/*.ferm)
 
-EXCLUDE_IMPORT = test/misc/subchain-domains.ferm test/misc/ipfilter.ferm test/ipv6/mixed.ferm
+EXCLUDE_IMPORT = test/misc/subchain-domains.ferm test/misc/ipfilter.ferm test/ipv6/mixed.ferm test/misc/address-magic.ferm
 IMPORT_SCRIPTS = $(filter-out $(EXCLUDE_IMPORT) test/arptables/% test/ebtables/%,$(FERM_SCRIPTS))
 
 # just a hack
@@ -116,8 +116,9 @@
 build/ferm-$(VERSION).tar.gz: all
 	rm -rf $(DISTDIR)
 	install -d -m 755 $(DISTDIR) $(DISTDIR)/src $(DISTDIR)/doc $(DISTDIR)/examples
-	install -m 755 src/{import-,}ferm $(DISTDIR)/src
-	install -m 644 doc/ferm.pod doc/ferm.txt doc/ferm.html doc/{import-,}ferm.1 $(DISTDIR)/doc
+	install -m 755 src/ferm src/import-ferm $(DISTDIR)/src
+	install -m 644 ferm.service $(DISTDIR)
+	install -m 644 doc/ferm.pod doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1 $(DISTDIR)/doc
 	install -m 644 config.mk Makefile AUTHORS COPYING NEWS README TODO $(DISTDIR)
 	install -m 644 $(wildcard examples/*.ferm) $(DISTDIR)/examples
 	cd build && tar czf ferm-$(VERSION).tar.gz ferm-$(VERSION)
@@ -131,20 +132,22 @@
 .PHONY: install uninstall
 
 install: all
-	install -d -m 755 $(DOCDIR)/examples $(PREFIX)/sbin
+	install -d -m 755 $(DOCDIR)/examples $(PREFIX)/sbin $(SERVICEDIR)
 	install -m 644 AUTHORS COPYING NEWS README TODO $(DOCDIR)
 	install -m 644 examples/*.ferm $(DOCDIR)/examples
-	install -m 755 src/{import-,}ferm $(PREFIX)/sbin/
+	install -m 755 src/ferm src/import-ferm $(PREFIX)/sbin/
+	install -m 644 ferm.service $(SERVICEDIR)
 
 	install -d -m 755 $(DOCDIR) $(MANDIR)
 	install -m 644 doc/ferm.txt doc/ferm.html $(DOCDIR)
-	install -m 644 doc/{import-,}ferm.1 $(MANDIR)
-	gzip -f9 $(MANDIR)/{import-,}ferm.1
+	install -m 644 doc/ferm.1 doc/import-ferm.1 $(MANDIR)
+	gzip -f9 $(MANDIR)/ferm.1 $(MANDIR)/import-ferm.1
 
 uninstall:
 	rm -rf $(DOCDIR)
-	rm -f $(MANDIR)/{import-,}ferm.1{,.gz}
-	rm -f $(PREFIX)/sbin/{import-,}ferm
+	rm -f $(MANDIR)/ferm.1 $(MANDIR)/import-ferm.1
+	rm -f $(SERVICEDIR)/ferm.service
+	rm -f $(PREFIX)/sbin/ferm $(PREFIX)/sbin/import-ferm
 
 #
 # misc targets
@@ -153,5 +156,5 @@
 .PHONY: upload
 
 upload: doc/ferm.html
-	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.0/
+	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.2/
 	scp examples/*.ferm foo-projects.org:/var/www/ferm.foo-projects.org/download/examples/

## ferm 2.3

=== Makefile ===
--- 
+++ 
@@ -48,6 +48,7 @@
 FERM_SCRIPTS =
 FERM_SCRIPTS += $(wildcard test/modules/*.ferm) $(wildcard test/targets/*.ferm)
 FERM_SCRIPTS += $(wildcard test/protocols/*.ferm) $(wildcard test/misc/*.ferm)
+FERM_SCRIPTS += $(wildcard test/glob/*.ferm)
 FERM_SCRIPTS += $(wildcard test/ipv6/*.ferm)
 FERM_SCRIPTS += $(wildcard test/arptables/*.ferm) $(wildcard test/ebtables/*.ferm)
 
@@ -75,23 +76,26 @@
 	@mkdir -p $(dir $@)
 	$(PERL) src/ferm --test --slow $< |sed $(EB_ARP_RESULT_SED) >$@
 
-$(STAMPDIR)/%.result: %.ferm src/ferm
+$(STAMPDIR)/%.result: %.ferm src/ferm test/sort.pl
 	@mkdir -p $(dir $@)
-	$(PERL) src/ferm --test --slow --noflush $< |sed $(RESULT_SED) >$@
+	$(PERL) src/ferm --test --slow --noflush $< |$(PERL) test/sort.pl |sed $(RESULT_SED) >$@
 
-$(STAMPDIR)/%.SAVE: %.ferm src/ferm
+$(STAMPDIR)/%.SAVE: %.ferm src/ferm test/sort.pl
 	@mkdir -p $(dir $@)
-	$(PERL) src/ferm --test $< >$@.tmp
-	grep -v '^#' <$@.tmp >$@
+	$(PERL) src/ferm --test $< |$(PERL) test/sort.pl >$@
 
 $(STAMPDIR)/test/ipv6/%.IMPORT: export FERM_DOMAIN=ip6
 $(STAMPDIR)/%.IMPORT: $(STAMPDIR)/%.SAVE src/import-ferm
 	$(PERL) src/import-ferm $< >$@
 
-$(STAMPDIR)/%.SAVE2: $(STAMPDIR)/%.IMPORT src/ferm
-	$(PERL) src/ferm --test --fast $< |grep -v '^#' >$@
+$(STAMPDIR)/%.SAVE2: $(STAMPDIR)/%.IMPORT src/ferm test/sort.pl
+	$(PERL) src/ferm --test --fast $< |$(PERL) test/sort.pl >$@
 
-$(STAMPDIR)/%.check: %.result $(STAMPDIR)/%.result
+$(STAMPDIR)/%.sort: %.result test/sort.pl
+	@mkdir -p $(dir $@)
+	$(PERL) test/sort.pl <$< >$@
+
+$(STAMPDIR)/%.check: $(STAMPDIR)/%.sort $(STAMPDIR)/%.result
 	diff -u $^
 	@touch $@
 
@@ -106,6 +110,7 @@
 check-import: $(patsubst %.ferm,$(STAMPDIR)/%.check-import,$(IMPORT_SCRIPTS))
 
 check: check-ferm check-import
+	@echo "All ferm unit tests finished successfully."
 
 #
 # distribution
@@ -156,5 +161,5 @@
 .PHONY: upload
 
 upload: doc/ferm.html
-	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.2/
+	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.3/
 	scp examples/*.ferm foo-projects.org:/var/www/ferm.foo-projects.org/download/examples/

## ferm 2.4

=== Makefile ===
--- 
+++ 
@@ -161,5 +161,5 @@
 .PHONY: upload
 
 upload: doc/ferm.html
-	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.3/
+	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.4/
 	scp examples/*.ferm foo-projects.org:/var/www/ferm.foo-projects.org/download/examples/

## ferm 2.5

=== debian/changelog ===
ferm (2.5-1) unstable; urgency=medium

  * Add support for .xz files
  * Convert to debsrc 3.0
  * Fix watch expression
  * New upstream version 2.5
    - support for iptables in /usr/sbin (Closes: #912536)
    - use legacy tools if available (Closes: #929416)
  * bump standards version
  * Add ${misc:Pre-Depends} to controlfile
  * Escape $ in HERE doc (Closes: #774927)
  * Move to debhelper-compat

 -- Alexander Wirt <formorer@debian.org>  Sat, 04 Jan 2020 11:58:53 +0100

ferm (2.4-1) unstable; urgency=medium

  * [2bd37ee] New upstream version 2.4
  * [f280aca] Rework example firewall (Closes: #701200, #770946)
  * [9736ebd] Disable cache by default (Closes: #849760)

 -- Alexander Wirt <alexander.wirt@credativ.de>  Tue, 11 Jul 2017 14:52:19 +0200

ferm (2.3-2) unstable; urgency=medium

  * [3e49919] Start ferm as before network and stop as late as possible
    (Closes: #824188)

 -- Alexander Wirt <formorer@debian.org>  Sun, 12 Jun 2016 19:48:04 +0200

ferm (2.3-1) unstable; urgency=medium

  * Verify upstream gpg sig on tarballs
  * Add gpg sig support to watchfile
  * Imported Upstream version 2.3

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Apr 2016 12:07:50 +0200

ferm (2.2-5) unstable; urgency=medium

  * Reimport changes from 2.2-3.2
    Closes: #796611

 -- Alexander Wirt <formorer@debian.org>  Sat, 23 Apr 2016 07:54:53 +0200

ferm (2.2-4) unstable; urgency=medium

  * [ec12e74] Don't fail if /var/cache/ferm isn't writable (Closes: #821895)

 -- Alexander Wirt <formorer@debian.org>  Wed, 20 Apr 2016 11:31:54 +0200

ferm (2.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix breakage introduced by new systemd unit.
    - Do not stop firewall on shutdown.
    - Start after /var/cache is mounted and after network.

 -- Felipe Sateler <fsateler@debian.org>  Tue, 29 Mar 2016 07:54:15 -0300

ferm (2.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add native systemd unit, to break ordering cycle. (Closes: #796611)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 28 Mar 2016 20:36:07 -0300

ferm (2.2-3) unstable; urgency=medium

  * [54e6ad3] Honor dpkg-statoverride for /etc&/ferm (Closes: #752686)
  * [93d9656] Move manpage installation to debian/ferm.manpages
  * [40ff883] Remove brace expansion to make lintian happy
  * [2799fe7] Move to dh9
  * [22429c9] Add some docs
  * [6db22f7] Override some broken make targets
  * [444b07c] wrap-and-sort

 -- Alexander Wirt <formorer@debian.org>  Sat, 25 Oct 2014 23:51:57 +0200

ferm (2.2-2) unstable; urgency=medium

  * [139cabd] Do not unconditionally overwrite ENABLED= in /etc/default/ferm.
    Thanks to Christian Kastner for the patch (Closes: 714796)

 -- Alexander Wirt <formorer@debian.org>  Tue, 15 Apr 2014 23:53:56 +0200

ferm (2.2-1) unstable; urgency=low

  * [2df2b7b] Fix watchfile
  * [0e32933] Imported Upstream version 2.2

 -- Alexander Wirt <formorer@debian.org>  Mon, 01 Jul 2013 21:38:49 +0200

ferm (2.1.1-2) experimental; urgency=low

  [ Salvatore Bonaccorso ]
  * Fix "ferm: modifies conffiles (policy 10.7.3): /etc/default/ferm"
    (Closes: #688377)
    - Don't install ferm.default as conffile in /etc/default
    - Read /etc/default/ferm in ferm.config.
      If /etc/default/ferm exists and ENABLED= is present then store the
      value of ENABLED into debconf db.
    - Create /etc/default/ferm in postinst.
      Create /etc/default/ferm if it does not yet exists in postinst.
      Furthermore if the admin deleted or commented the ENABLED then (re-)add
      it to the configuration file in postinst.
    - Remove configuration file on purge in postrm script

 -- Alexander Wirt <formorer@debian.org>  Thu, 01 Nov 2012 19:28:58 +0100

ferm (2.1.1-1) experimental; urgency=low

  * [c95a63e] Add vcs fields to controlfile
  * [60e8141] Imported Upstream version 2.1.1
              - Add support for TPROXY target
                (Closes: #682728)

 -- Alexander Wirt <formorer@debian.org>  Sun, 09 Sep 2012 16:46:45 +0200

ferm (2.1-2) unstable; urgency=low

  [ great debian l10n teams ]
  * Fix pending l10n issues. Debconf translations:
  * Danish (Joe Hansen).  Closes: #626637
  * Polish (Michał Kułach).  Closes: #660532
  * Italian (Beatrice Torracca).  Closes: #660885
  * Slovak (Ivan Masár).  Closes: #661139
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #661356

  [ Alexander Wirt ]
  * bump standards version 

 -- Alexander Wirt <formorer@debian.org>  Fri, 09 Mar 2012 09:03:36 +0100

ferm (2.1-1) unstable; urgency=low

  * New upstream version
    - fix variable expansion in subchain names (Closes: #577709)
    - added @ipfilter function to mix ipv4 and ipv6 addresses
      (Closes: #591329)
    - @if @eq($DOMAIN, ip6) works now - yai (Closes: #591230)
    - Map ICMP to ICMP6 in REJECT's reject-with
      (Closes: #591229)
    - Fix docs for $TRUSTED_HOSTS (Closes: #577701)
  * Bump standards version (no changes)
  * update danish debconf translation (Closes: #626637)
    Thanks to Joe Dalton <joedalton2@yahoo.dk>

 -- Alexander Wirt <formorer@debian.org>  Mon, 18 Jul 2011 07:37:15 +0200

ferm (2.0.9-1) unstable; urgency=low

  * New upstream version
    - allow truncing of strings with substr (Closes: #550854)
    - mod mark is now in manpage (Closes: #578665)
  * Don't stop firewall on shutdown (Closes: #591491)

 -- Alexander Wirt <formorer@debian.org>  Sat, 26 Feb 2011 10:51:19 +0100

ferm (2.0.8-1) unstable; urgency=low

  * New upstream release 
    - Support eq,ne,not (Closes: #407563, #559902)
    - resolve() now support different types like AAAA or MX (Closes: #544248)
    - Fix docs for frag (Closes: #560000)
  * Bump standards version (no changes)
  * Explicitly use 1.0 format

 -- Alexander Wirt <formorer@debian.org>  Thu, 04 Nov 2010 11:52:01 +0100

ferm (2.0.7-1) unstable; urgency=low

  * New upstream version
    - Fix post & flush hooks 
      (Closes: #548579, #563779)
    - Fix negiotation for owner module
      (Closes: #553423)


=== debian/watch ===
version=3


opts=pgpsigurlmangle=s/$/.sig/ http://ferm.foo-projects.org/download/2.([0-9.]+)/ferm-([0-9.]*)\.tar\.xz

## ferm 2.5.1

=== Makefile ===
--- 
+++ 
@@ -50,9 +50,10 @@
 FERM_SCRIPTS += $(wildcard test/protocols/*.ferm) $(wildcard test/misc/*.ferm)
 FERM_SCRIPTS += $(wildcard test/glob/*.ferm)
 FERM_SCRIPTS += $(wildcard test/ipv6/*.ferm)
+FERM_SCRIPTS += $(wildcard test/resolve/*.ferm)
 FERM_SCRIPTS += $(wildcard test/arptables/*.ferm) $(wildcard test/ebtables/*.ferm)
 
-EXCLUDE_IMPORT = test/misc/subchain-domains.ferm test/misc/ipfilter.ferm test/ipv6/mixed.ferm test/misc/address-magic.ferm
+EXCLUDE_IMPORT =
 IMPORT_SCRIPTS = $(filter-out $(EXCLUDE_IMPORT) test/arptables/% test/ebtables/%,$(FERM_SCRIPTS))
 
 # just a hack
@@ -74,7 +75,7 @@
 
 $(STAMPDIR)/test/ebtables/%.result: test/ebtables/%.ferm src/ferm
 	@mkdir -p $(dir $@)
-	$(PERL) src/ferm --test --slow $< |sed $(EB_ARP_RESULT_SED) >$@
+	$(PERL) src/ferm --test --slow $< |$(PERL) test/ebtables_tempfile_rename.pl |sed $(EB_ARP_RESULT_SED) >$@
 
 $(STAMPDIR)/%.result: %.ferm src/ferm test/sort.pl
 	@mkdir -p $(dir $@)
@@ -84,7 +85,6 @@
 	@mkdir -p $(dir $@)
 	$(PERL) src/ferm --test $< |$(PERL) test/sort.pl >$@
 
-$(STAMPDIR)/test/ipv6/%.IMPORT: export FERM_DOMAIN=ip6
 $(STAMPDIR)/%.IMPORT: $(STAMPDIR)/%.SAVE src/import-ferm
 	$(PERL) src/import-ferm $< >$@
 
@@ -124,7 +124,7 @@
 	install -m 755 src/ferm src/import-ferm $(DISTDIR)/src
 	install -m 644 ferm.service $(DISTDIR)
 	install -m 644 doc/ferm.pod doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1 $(DISTDIR)/doc
-	install -m 644 config.mk Makefile AUTHORS COPYING NEWS README TODO $(DISTDIR)
+	install -m 644 config.mk Makefile AUTHORS COPYING NEWS README.rst TODO $(DISTDIR)
 	install -m 644 $(wildcard examples/*.ferm) $(DISTDIR)/examples
 	cd build && tar czf ferm-$(VERSION).tar.gz ferm-$(VERSION)
 
@@ -138,7 +138,7 @@
 
 install: all
 	install -d -m 755 $(DOCDIR)/examples $(PREFIX)/sbin $(SERVICEDIR)
-	install -m 644 AUTHORS COPYING NEWS README TODO $(DOCDIR)
+	install -m 644 AUTHORS COPYING NEWS README.rst TODO $(DOCDIR)
 	install -m 644 examples/*.ferm $(DOCDIR)/examples
 	install -m 755 src/ferm src/import-ferm $(PREFIX)/sbin/
 	install -m 644 ferm.service $(SERVICEDIR)
@@ -161,5 +161,5 @@
 .PHONY: upload
 
 upload: doc/ferm.html
-	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.4/
+	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.5/
 	scp examples/*.ferm foo-projects.org:/var/www/ferm.foo-projects.org/download/examples/

=== debian/changelog ===
ferm (2.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:03:46 +0200

ferm (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Backport from master to resolve @resolve (Closes: #955613, #958105)

 -- Alexander Wirt <formorer@debian.org>  Mon, 28 Dec 2020 17:08:19 +0100

=== debian/control ===
Source: ferm
Section: net
Priority: optional
Maintainer: Alexander Wirt <formorer@debian.org>
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (=12), libnet-dns-resolver-mock-perl
Build-Depends-Indep: po-debconf
Vcs-Browser: https://github.com/formorer/pkg-ferm
Vcs-Git: git://github.com/formorer/pkg-ferm.git
Homepage: http://ferm.foo-projects.org/

Package: ferm
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: debconf (>= 1.2.0),
         iptables (>= 1.3),
         lsb-base (>= 3.0-6),
         perl (>= 5.6),
         ${misc:Depends}
Recommends: libnet-dns-perl
Description: maintain and setup complicated firewall rules
 ferm is a frontend for iptables. It reads the rules from a
 structured configuration file and calls iptables(8) to insert them
 into the running kernel.
 .
 ferm's goal is to make firewall rules easy to write and easy to
 read. It tries to reduce the tedious task of writing down rules, thus
 enabling the firewall administrator to spend more time on developing
 good rules than the proper implementation of the rule.
 .
 To achieve this, ferm uses a simple but powerful configuration
 language, which allows variables, functions, arrays, blocks. It also
 allows you to include other files, allowing you to create libraries
 of commonly used structures and functions.
 .
 ferm, pronounced "firm", stands for "For Easy Rule Making".

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_clean::

override_dh_auto_install::

=== debian/watch ===
version=3


opts=pgpsigurlmangle=s/$/.sig/ http://ferm.foo-projects.org/download/(2.[0-9.]+)/ferm-([0-9.]*)\.tar\.xz

## ferm 2.7

=== Makefile ===
--- 
+++ 
@@ -11,11 +11,15 @@
 
 .PHONY: all clean
 
-all: doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1
+all: doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1 ferm.service
 
 clean:
 	rm -rf build
 	rm -f doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1 *.tmp
+	rm -f ferm.service
+
+ferm.service: ferm.service.in
+	sed 's|@prefix@|$(PREFIX)|g' $< > $@
 
 #
 # documentation
@@ -56,6 +60,8 @@
 EXCLUDE_IMPORT =
 IMPORT_SCRIPTS = $(filter-out $(EXCLUDE_IMPORT) test/arptables/% test/ebtables/%,$(FERM_SCRIPTS))
 
+PRESERVE_SCRIPTS += $(wildcard test/preserve/*.ferm)
+
 # just a hack
 RESULT_SED += -e 's,--protocol,-p,g'
 RESULT_SED += -e 's,--in-interface,-i,g'
@@ -66,6 +72,7 @@
 RESULT_SED += -e 's,--jump,-j,g'
 RESULT_SED += -e 's,--goto,-g,g'
 RESULT_SED += -e 's,--fragment,-f,g'
+RESULT_SED += -e '/^\#/d'
 
 EB_ARP_RESULT_SED = -e 's,--jump,-j,g'
 
@@ -103,13 +110,27 @@
 	diff -u $^
 	@touch $@
 
+$(STAMPDIR)/test/preserve/%.preserved: test/preserve/%.ferm src/ferm test/sort.pl $(STAMPDIR)/test/mock/preserve.SAVE2
+	@mkdir -p $(dir $@)
+	$(PERL) src/ferm --test --test-mock-previous=ip=$(STAMPDIR)/test/mock/preserve.SAVE2 $< |$(PERL) test/sort.pl |sed $(RESULT_SED) >$@
+
+$(STAMPDIR)/test/preserve/%.expected: test/preserve/%.result
+	@mkdir -p $(dir $@)
+	sed $(RESULT_SED) $< >$@
+
+$(STAMPDIR)/test/preserve/%.check-preserve: $(STAMPDIR)/test/preserve/%.preserved $(STAMPDIR)/test/preserve/%.expected
+	diff -u $^
+	@touch $@
+
 .PHONY : check-ferm check-import check
 
 check-ferm: $(patsubst %.ferm,$(STAMPDIR)/%.check,$(FERM_SCRIPTS))
 
 check-import: $(patsubst %.ferm,$(STAMPDIR)/%.check-import,$(IMPORT_SCRIPTS))
 
-check: check-ferm check-import
+check-preserve: $(patsubst %.ferm,$(STAMPDIR)/%.check-preserve,$(PRESERVE_SCRIPTS))
+
+check: check-ferm check-import check-preserve
 	@echo "All ferm unit tests finished successfully."
 
 #

=== debian/changelog ===
ferm (2.7-2) unstable; urgency=medium

  * unchanged upload to unstable

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 10 Aug 2025 15:14:50 +0200

ferm (2.7-1) experimental; urgency=medium

  * new upstream version 2.7 (Closes: #1073794)
  * make piuparts happy: move away old config file if unchanged

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 01 Jun 2025 20:57:01 +0200

ferm (2.5.1-5) experimental; urgency=medium

  * set uploaders and maintainer to adopt the package (Closes: #1073994)
  * remove debconf-based configuration
  * Standards-Version: 4.7.2 (no changes necessary)
  * Move to debhelper 13
  * remove ancient versions from versioned dependencies
  * move ferm and import-ferm to usr/bin
  * re-work debian/watch to look for github tags
  * add documentation key to systemd service
  * register ferm.html with doc-base
  * don't mess with /etc/ferm's file permissions in postinst
  * move signing-key.asc to a place where it isn't found.
  * add autopkgtest to invoke upstream test suite
  * DEP-5 copyright file

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 28 May 2025 16:08:38 +0200

ferm (2.5.1-4) unstable; urgency=medium

  * QA upload.
  * d/control: Remove outdated debconf version constraint (Closes: #1096115)

 -- Gioele Barabucci <gioele@svario.it>  Fri, 21 Mar 2025 20:04:26 +0100

ferm (2.5.1-3) unstable; urgency=medium

  * QA upload.

  [ Helge Kreutzmann ]
  * Add Romanian Debconf translation. Thanks Remus-Gabriel Chelu.
    (Closes: #1031885)

  [ Dr. Tobias Quathamer ]
  * Added d/gbp.conf to describe branch layout.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.4.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Updated vcs in d/control to Salsa.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 07 Dec 2024 19:08:43 +0100

ferm (2.5.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package with Alexander's consent. Thanks for maintaining it.
  * Sourceful upload performs /usr-move of systemd unit (DEP17).
  * Drop obsolete lsb-base dependency.

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 24 May 2024 13:23:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: ferm
 Section: net
 Priority: optional
-Maintainer: Alexander Wirt <formorer@debian.org>
-Standards-Version: 4.4.1
-Build-Depends: debhelper-compat (=12), libnet-dns-resolver-mock-perl
-Build-Depends-Indep: po-debconf
-Vcs-Browser: https://github.com/formorer/pkg-ferm
-Vcs-Git: git://github.com/formorer/pkg-ferm.git
-Homepage: http://ferm.foo-projects.org/
+Maintainer: Debian Ferm Maintainers <ferm@packages.debian.org>
+Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (=13),
+               libnet-dns-resolver-mock-perl,
+Vcs-Browser: https://salsa.debian.org/debian/ferm
+Vcs-Git: https://salsa.debian.org/debian/ferm.git
+Homepage: https://github.com/MaxKellermann/ferm
 
 Package: ferm
 Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
-Depends: debconf (>= 1.2.0),
-         iptables (>= 1.3),
-         lsb-base (>= 3.0-6),
-         perl (>= 5.6),
-         ${misc:Depends}
-Recommends: libnet-dns-perl
+Pre-Depends: ${misc:Pre-Depends},
+Depends: iptables,
+         perl,
+         ${misc:Depends},
+Recommends: libnet-dns-perl,
 Description: maintain and setup complicated firewall rules
  ferm is a frontend for iptables. It reads the rules from a
  structured configuration file and calls iptables(8) to insert them

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,3 @@
 
 %:
 	dh $@
-
-override_dh_auto_clean::
-
-override_dh_auto_install::

=== debian/tests/control ===
Tests: make-check
Depends: make, libnet-dns-resolver-mock-perl
Restrictions: build-needed,

=== debian/watch ===
version=4
         opts=\
         filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
         downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
         searchmode=plain \
          https://api.github.com/repos/MaxKellermann/ferm/git/matching-refs/tags/v \
          https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
